Bug 105352 - Funciotn rpmvercmp in RPM2.pm does not work
Funciotn rpmvercmp in RPM2.pm does not work
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: perl-RPM2 (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 07:28 EDT by Dariusz Mazur
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dariusz Mazur 2003-09-25 07:28:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030624

Description of problem:
There is a mistake in RPM2.pm
(/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/RPM2.pm)
in function rpmvercmp (line 20) :

sub rpmvercmp {
  return RPM2_C::rpmvercmp(@_);
}

it sholud look like that (bacause first element of @_ in this case is class):

sub rpmvercmp {
  my $class = shift;
  my $one = shift;
  my $two = shift;
  #return RPM2_C::rpmvercmp(@_);
  return RPM2_C::rpmvercmp($one,$two);
}


Version-Release number of selected component (if applicable):
perl-RPM2-0.45-1

How reproducible:
Always

Steps to Reproduce:
1. use rpmvercmp form RPM2 module - thats all
2.
3.
    

Actual Results:  I see error:

Usage: RPM2_C::rpmvercmp(one, two) at
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/RPM2.pm line 21

Expected Results:  result of comparision no such message

Additional info:
Comment 1 Bill Nottingham 2006-08-07 15:15:10 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:38:37 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.